Microsoft Defender for Endpoint
このドキュメントでは、Microsoft Defender For Endpoint を Google SecOps と統合する方法について説明します。
ユースケース
特定のケースを調査する際に、Microsoft Defender for Endpoint で収集されたデータを拡充に使用します。
アナリストは、Microsoft Defender for Endpoint で収集され、保存されたデータを調査に使用できます。たとえば、Microsoft Defender for Endpoint で検出されたアラートに関する情報を取得したり、Microsoft Defender for Endpoint に登録されているマシンを一覧表示したりできます。
ネットワークから特定のホストを隔離したり、ウイルス対策スキャンを実行したりするなど、潜在的なセキュリティ インシデントに対してアクティブな対応アクションを実行します。
それぞれのコネクタによって取得された Google Security Operations アラートとして、Microsoft Defender for Endpoint アラートをモニタリングして検査します。
前提条件
Google SecOps プラットフォームで統合を構成する前に、次の前提条件の手順を完了してください。
Microsoft Entra アプリを作成します。
アプリの API 権限を構成します。
クライアント シークレットを作成します。
Microsoft Defender for Endpoint API にアクセスする場合は、ユーザー コンテキストではなくアプリケーション コンテキストを使用することをおすすめします。
Microsoft Entra アプリを作成する
ユーザー管理者またはパスワード管理者として Azure ポータルにログインします。
[Microsoft Entra ID] を選択します。
[App registrations] > [New registration] に移動します。
アプリの名前を入力します。
[Register] をクリックします。
後で統合パラメータを構成するときに使用するために、アプリケーション(クライアント)ID とディレクトリ(テナント)ID の値を保存します。
API 権限を構成する
[API Permissions] > [Add a permission] > [APIs my organization uses] に移動します。[API のアクセス許可の要求] ダイアログが開きます。
[検索] フィールドに「
WindowsDefenderATP」と入力します。[WindowsDefenderATP] > [Application permissions] を選択します。
[アラート] 権限タイプで、次の権限を選択します。
Alert.Read.All
[権限を追加] をクリックします。
[API 権限] ページで、[権限を追加] をクリックします。
[Microsoft Graph] > [Delegated permissions] を選択します。
[権限を選択] セクションで、次の必要な権限を選択します。
User.Read
[権限を追加] をクリックします。
[API 権限] ページで、[権限を追加] をクリックします。
[WindowsDefenderATP] > [Application permissions] を選択します。
[権限を選択] セクションで、次の必要な権限を選択します。
AdvancedQuery.Read.AllAlert.Read.AllAlert.ReadWrite.AllEvent.WriteFile.Read.AllIp.Read.AllMachine.IsolateMachine.Read.AllMachine.ReadWrite.AllMachine.ScanMachine.StopAndQuarantineTi.ReadWriteUrl.Read.AllUser.Read.All
[
ORGANIZATION_NAMEに管理者の同意を付与] をクリックします。[管理者の同意の確認] ダイアログが表示されたら、[はい] をクリックします。
Defender ATP アラートを取得する API リクエストの例を次に示します(IP アドレス、ドメイン、ファイルに関するデータを取得するために使用される $expand パラメータに注意してください)。
GET /api/alerts?$expand=files,ips,domains HTTP/1.1
Host: api.securitycenter.windows.com
Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJ...
User-Agent: PostmanRuntime/7.19.0
Accept: */ *
Cache-Control: no-cache
Postman-Token: 2dc0f885-068a-45d4-81a6-2da0d23a58ad,d3dd0e6e-83ab-4d27-94d2-0f3889dff324
Host: api.securitycenter.windows.com
Accept-Encoding: gzip, deflate
Connection: keep-alive
cache-control: no-cache
リクエスト パラメータと、フィルタや展開などのリクエスト オプションの詳細については、Microsoft のドキュメントのサポートされている Microsoft Defender for Endpoint API をご覧ください。
クライアント シークレットを作成する
[証明書とシークレット] > [新しいクライアント シークレット] に移動します。
クライアント シークレットの説明を入力し、有効期限を設定します。
[追加] をクリックします。
クライアント シークレットの値(シークレット ID ではない)を保存して、統合を構成するときに
Client Secretパラメータ値として使用します。クライアント シークレットの値は 1 回だけ表示されます。
SIEM 統合を有効にする - 非推奨
ナビゲーション パネルで、[設定] > [SIEM] を選択します。
[SIEM 統合を有効にする] を選択します。
これにより、事前入力された値を含む SIEM コネクタのアクセス詳細セクションが有効になり、Azure AD テナントにアプリケーションが作成されます。
- SIEM タイプとして [Generic API] を選択します。
- 個々の値をコピーするか、[詳細をファイルに保存] を選択して、すべての値を含むファイルをダウンロードします。
- 検出データにアクセスするためのトークンを生成するには、このページに表示される値(クライアント ID、クライアント シークレット、リソース)が必要です。
Microsoft Defender For Endpoint を Google SecOps と統合する
Google SecOps で統合を構成する方法について詳しくは、統合を構成するをご覧ください。
統合のパラメータ
統合を構成するには、次のパラメータを使用します。
| パラメータ | |
|---|---|
Client ID |
必須 統合に使用する Microsoft Entra アプリのクライアント(アプリケーション)ID。 |
Client Secret |
必須 統合に使用する Microsoft Entra アプリのクライアント シークレット値。 |
Azure Active Directory ID |
必須 Microsoft Entra ID(テナント ID)の値。 |
Verify SSL |
Optional 選択すると、Microsoft 365 Defender サーバーへの接続用の SSL 証明書が有効であることを確認します。 デフォルトで選択されます。 |
API Root |
必須 統合で使用する API ルート URL。パフォーマンスを向上させるには、お住まいの地域に最も近いサーバーを使用します。
デフォルト値は |
操作
エンティティ インジケーターを削除する
Microsoft Defender for Endpoint でエンティティ インジケーターを削除します。
パラメータ
なし
実行
このアクションは次のエンティティに対して実行されます。
- IP アドレス
- URL
- Filehash
アクションの結果
スクリプトの結果
| スクリプトの結果名 | 値のオプション | 例 |
|---|---|---|
| is_success | True/False | is_success:False |
ケースウォール
| 結果のタイプ | 値 / 説明 | タイプ |
|---|---|---|
| 出力メッセージ * | アクションが失敗したり、ハンドブックの実行を停止したりすることはありません。 204 ステータス コードが報告された場合(is_success=true): 「Microsoft Defender for Endpoint で次のエンティティがインジケーターとして正常に削除されました: {entity.identifier}。 インシデントが見つからない場合(is_success=true): 「次のエンティティは、Microsoft Defender for Endpoint のインジケーターとして存在しません: {entity.identifier}。 アクションが失敗し、ハンドブックの実行が停止します。 間違った認証情報、サーバーへの接続なし、その他など、致命的なエラーが報告された場合:「アクション「エンティティ インジケーターの削除」の実行エラー。理由: {0}」.format(error.Stacktrace) |
全般 |
エンティティの拡充
Microsoft Defender for Endpoint の情報に基づいて、Google SecOps のホスト、IP アドレス、ファイル ハッシュ エンティティを拡充します。
パラメータ
なし
ユースケース
このアクションは、デバイスのアクティビティを調査するハンドブックで使用できます。デバイスに Microsoft Defender for Endpoint エージェントがインストールされている場合、このアクションはデバイスの Defender ATP から情報を取得して Google SecOps エンティティを拡充します。このアクションを使用して、Defender ATP の情報でアラート ファイルのハッシュを拡充することもできます。
実行
このアクションは次のエンティティに対して実行されます。
- ホスト
- IP アドレス
- Filehash
アクションの結果
スクリプトの結果
| スクリプトの結果名 | 値のオプション | 例 |
|---|---|---|
| is_success | True/False | is_success:False |
JSON の結果
エンリッチメントが IP アドレスまたはホストで機能する場合:
[
{
"EntityResult": {
"@odata.context": "https://api.securitycenter.windows.com/api/$metadata#Machines/$entity",
"id": "example_id",
"computerDnsName": "example-name",
"firstSeen": "2019-11-18T11:13:04.0588699Z",
"lastSeen": "2019-11-24T18:31:50.581058Z",
"osPlatform": "Windows10",
"osVersion": null,
"osProcessor": "x64",
"version": "1803",
"lastIpAddress": "192.0.2.138",
"lastExternalIpAddress": "203.0.113.28",
"agentVersion": "10.4860.17134.982",
"osBuild": 17134,
"healthStatus": "Active",
"rbacGroupId": 0,
"rbacGroupName": null,
"riskScore": "High",
"exposureLevel": "Medium",
"aadDeviceId": null,
"machineTags": []
}
}
]
Filehash でエンリッチメントが機能する場合:
[
{
"EntityResult": {
"@odata.context": "https://api.securitycenter.windows.com/api/$metadata#Files/$entity",
"sha1": "bdd0d38e113a0c7dd6213cf2e89e6cc6d66b5cdb",
"sha256": "328954033456d5c13e58fb5bcc6c0232f9f62cb6d9185afa51c7913338992491",
"md5": "9512e1cc66a1d36feb0a290cab09087b",
"globalPrevalence": 5205000,
"globalFirstObserved": "2018-06-22T12:59:21.6460311Z",
"globalLastObserved": "2019-11-21T00:24:01.921338Z",
"size": 245760,
"fileType": "APP",
"isPeFile": true,
"filePublisher": "Microsoft Corporation",
"fileProductName": "Microsoft Windows Operating System",
"signer": "Microsoft Windows",
"issuer": "Microsoft Windows Production PCA 2011",
"signerHash": "419e77aed546a1a6cf4dc23c1f977542fe289cf7",
"isValidCertificate": true
},
"EntityResult": {
"@odata.context": "https://api.securitycenter.windows.com/api/$metadata#microsoft.windowsDefenderATP.api.InOrgFileStats",
"sha1": "bdd0d38e113a0c7dd6213cf2e89e6cc6d66b5cdb",
"orgPrevalence": "1",
"orgFirstSeen": "2019-11-19T03:54:15Z",
"orgLastSeen": "2019-11-19T04:21:18Z",
"globalPrevalence": "5205000",
"globalFirstObserved": "2018-06-22T12:59:21.6460311Z",
"globalLastObserved": "2019-11-21T00:24:01.921338Z",
"topFileNames": ["notepad.exe"]
}
}
]
エンティティ拡充
IP とホスト
| 拡充フィールド名 | ロジック - 適用するタイミング |
|---|---|
| Defender_ATP.sha1 | JSON の結果に存在する場合に返す |
| Defender_ATP.sha256 | JSON の結果に存在する場合に返す |
| Defender_ATP.md5 | JSON の結果に存在する場合に返す |
| Defender_ATP.globalPrevalence | JSON の結果に存在する場合に返す |
| Defender_ATP.globalFirstObserved | JSON の結果に存在する場合に返す |
| Defender_ATP.globalLastObserved | JSON の結果に存在する場合に返す |
| Defender_ATP.size | JSON の結果に存在する場合に返す |
| Defender_ATP.fileType | JSON の結果に存在する場合に返す |
| Defender_ATP.isPeFile | JSON の結果に存在する場合に返す |
| Defender_ATP.filePublisher | JSON の結果に存在する場合に返す |
| Defender_ATP.fileProductName | JSON の結果に存在する場合に返す |
| Defender_ATP.signer | JSON の結果に存在する場合に返す |
| Defender_ATP.issuer | JSON の結果に存在する場合に返す |
| Defender_ATP.signerHash | JSON の結果に存在する場合に返す |
| Defender_ATP.isValidCertificate | JSON の結果に存在する場合に返す |
| Defender_ATP.orgPrevalence | JSON の結果に存在する場合に返す |
| Defender_ATP.orgFirstSeen | JSON の結果に存在する場合に返す |
| Defender_ATP.orgLastSeen | JSON の結果に存在する場合に返す |
| Defender_ATP.topFileNames | JSON の結果に存在する場合に返す |
ファイル ハッシュ
| 拡充フィールド名 | ロジック - 適用するタイミング |
|---|---|
| Defender_ATP.sha1 | JSON の結果に存在する場合に返す |
| Defender_ATP.sha256 | JSON の結果に存在する場合に返す |
| Defender_ATP.md5 | JSON の結果に存在する場合に返す |
| Defender_ATP.globalPrevalence | JSON の結果に存在する場合に返す |
| Defender_ATP.globalFirstObserved | JSON の結果に存在する場合に返す |
| Defender_ATP.globalLastObserved | JSON の結果に存在する場合に返す |
| Defender_ATP.size | JSON の結果に存在する場合に返す |
| Defender_ATP.fileType | JSON の結果に存在する場合に返す |
| Defender_ATP.isPeFile | JSON の結果に存在する場合に返す |
| Defender_ATP.filePublisher | JSON の結果に存在する場合に返す |
| Defender_ATP.fileProductName | JSON の結果に存在する場合に返す |
| Defender_ATP.signer | JSON の結果に存在する場合に返す |
| Defender_ATP.issuer | JSON の結果に存在する場合に返す |
| Defender_ATP.signerHash | JSON の結果に存在する場合に返す |
| Defender_ATP.isValidCertificate | JSON の結果に存在する場合に返す |
| Defender_ATP.orgPrevalence | JSON の結果に存在する場合に返す |
| Defender_ATP.orgFirstSeen | JSON の結果に存在する場合に返す |
| Defender_ATP.orgLastSeen | JSON の結果に存在する場合に返す |
| Defender_ATP.topFileNames | JSON の結果に存在する場合に返す |
ライブ レスポンス コマンドを実行する
[Execute Live Response Command] アクションを使用して、Microsoft Defender for Endpoint でライブ レスポンス コマンドを実行します。
アクションへの入力
ライブ レスポンス コマンドを実行するアクションには、次のパラメータが必要です。
| パラメータ | 説明 |
|---|---|
Command |
必須。 実行するコマンドを表す JSON オブジェクト。コマンドのタイプとパラメータが含まれます。 サポートされているコマンド構造の詳細については、Microsoft Defender for Endpoint API のドキュメントをご覧ください。 形式の例: |
Comment |
省略可。 実行されたコマンドのコメントまたは説明。 |
アクションの出力
Execute Live Response Command アクションは、次の出力を提供します。
| アクションの出力タイプ | 対象 |
|---|---|
| ケースウォールのアタッチメント | 利用不可 |
| ケースウォールのリンク | 利用不可 |
| ケースウォール テーブル | 利用不可 |
| 拡充テーブル | 利用不可 |
| JSON の結果 | 利用可能 |
| 出力メッセージ | 利用可能 |
| スクリプトの結果 | 利用可能 |
JSON の結果
次の例は、Execute Live Response Command アクションを使用した場合に受信される JSON 結果の出力を示しています。
{
"Entity": "",
"EntityResult": {
"@odata.context": "https://api.securitycenter.microsoft.com/api/$metadata#MachineActions/$entity",
"id": "00000000-0000-0000-0000-000000000000",
"type": "LiveResponse",
"title": null,
"requestor": "SEC_OPS_USER",
"requestorComment": "Execution of live response command",
"status": "Pending",
"machineId": "MACHINE_ID_HASH",
"computerDnsName": "hostname.domain.local",
"creationDateTimeUtc": "2026-01-04T10:57:33.032Z",
"lastUpdateDateTimeUtc": "2026-01-04T10:57:33.032Z",
"cancellationRequestor": null,
"cancellationComment": null,
"cancellationDateTimeUtc": null,
"errorHResult": 0,
"scope": null,
"externalId": null,
"requestSource": "PublicApi",
"relatedFileInfo": null,
"commands": [],
"troubleshootInfo": null,
"results": {
"filepath": "",
"script_name": "remediation_script.ps1",
"exit_code": 0,
"script_output": "Script completed successfully",
"script_errors": ""
}
}
}
出力メッセージ
Execute Live Response Command アクションは、次の出力メッセージを返すことができます。
| 出力メッセージ | メッセージの説明 |
|---|---|
|
アクションが成功しました。 |
|
操作に失敗しました。 サーバーへの接続、入力パラメータ、または認証情報を確認してください。 |
スクリプトの結果
次の表に、ライブ レスポンス コマンドを実行するアクションを使用した場合のスクリプト結果の出力値を示します。
| スクリプトの結果名 | 値 |
|---|---|
is_success |
true または false |
タスクの現在のステータスを取得する
タスクの現在のステータスを取得します。
パラメータ
| パラメータの表示名 | タイプ | デフォルト値 | 必須 | 説明 |
|---|---|---|---|---|
| タスク ID | 文字列 | なし | ○ | タスク ID のリスト(カンマ区切りの文字列)。 |
実行
このアクションはすべてのエンティティに対して実行されます。
アクションの結果
スクリプトの結果
| スクリプトの結果名 | 値のオプション | 例 |
|---|---|---|
| is_success | True/False | is_success:False |
JSON の結果
[
{
"status": "Succeeded",
"creation_date_time_utc": "2020-02-08T03:24:52.8526634Z",
"cancellation_requestor": null,
"cancellation_date_time_utc": null,
"id": "2e39d22e-60a7-4267-899c-a1471e800000",
"last_update_date_time_utc": "2020-02-08T03:25:35.8345081Z",
"related_file_info": null,
"cancellation_comment": null,
"requestor": "e4fc6454-754d-47f7-bbdb-045fad600000",
"error_h_result": 0,
"scope": "Selective",
"machine_id": "fbc85cf3fbcc8bb14d1a84fcf7bbae4531f00000",
"type": "Isolate",
"requestor_comment": "test"
}
]
ファイル関連のアラートを取得する
ファイルハッシュに基づいて、Microsoft Defender for Endpoint からファイルに関連するアラートを取得します。
パラメータ
| パラメータの表示値 | 型 | デフォルト値 | 必須 | 説明 |
|---|---|---|---|---|
| ステータス | 文字列 | Unknown、New、InProgress、Resolved | いいえ | 検索するアラートのステータスを指定します。 このパラメータは、カンマ区切りの文字列として複数の値を受け入れます。 |
| 重大度 | 文字列 | 未指定、情報、低、中、高 | いいえ | 検索するインシデントの重大度を指定します。 このパラメータは、カンマ区切りの文字列として複数の値を受け入れます。 |
| カテゴリ | 文字列 | なし | いいえ | 検索するアラートのカテゴリを指定します。 指定しない場合、アクションはすべてのカテゴリを検索します。 パラメータは、カンマ区切りの文字列として複数の値を受け入れます。 指定できる値: 'Collection'、'CommandAndControl'、'CredentialAccess'、'DefenseEvasion'、'Discovery'、'Execution'、'Exfiltration'、'Exploit'、'InitialAccess'、'LateralMovement'、'Malware'、'Persistence'、'PrivilegeEscalation'、'Ransomware'、'SuspiciousActivity'、'UnwantedSoftware'。 |
| インシデント ID | Integer | なし | いいえ | 関連するアラートを検索する Microsoft Defender インシデント ID を指定します。 |
ユースケース
Defender ATP コネクタから送信されたアラートを調査する際に、このアクションを使用して、このファイルがアラートに関連付けられているかどうかに関する情報を収集し、ファイルが悪意のあるものかどうかを把握できます。
実行
このアクションは Filehash エンティティに対して実行されます。
アクションの結果
スクリプトの結果
| スクリプトの結果名 | 値のオプション | 例 |
|---|---|---|
| is_success | True/False | is_success:False |
JSON の結果
{
"@odata.context": "https://api.securitycenter.windows.com/api/$metadata#Alerts",
"value": [
{
"id": "example_id",
"incidentId": 2,
"investigationId": 1,
"assignedTo": null,
"severity": "Medium",
"status": "New",
"classification": null,
"determination": null,
"investigationState": "TerminatedBySystem",
"detectionSource": "WindowsDefenderAtp",
"category": "DefenseEvasion",
"threatFamilyName": null,
"title": "Suspicious process injection observed",
"description": "A process abnormally injected code into another process, As a result, unexpected code may be running in the target process memory. Injection is often used to hide malicious code execution within a trusted process. \nAs a result, the target process may exhibit abnormal behaviors such as opening a listening port or connecting to a command and control server.",
"alertCreationTime": "2019-11-19T03:56:37.7335862Z",
"firstEventTime": "2019-11-19T03:54:15.7698362Z",
"lastEventTime": "2019-11-19T03:54:15.7698362Z",
"lastUpdateTime": "2019-11-20T10:13:31.7266667Z",
"resolvedTime": null,
"machineId": "machine-id",
"alertUser": {
"accountName": "example.user",
"domainName": "EXAMPLELAB"
},
"comments": [],
"alertFiles": [
{
"sha1": "1b3b40fbc889fd4c645cc12c85d0805ac36ba254",
"sha256": "d3f8fade829d2b7bd596c4504a6dae5c034e789b6a3defbe013bda7d14466677",
"filePath": "C:\\Windows\\System32\\WindowsPowerShell\\v1.0\\powershell.exe",
"fileName": "powershell.exe"
},{
"sha1": "bdd0d38e113a0c7dd6213cf2e89e6cc6d66b5cdb",
"sha256": "328954033456d5c13e58fb5bcc6c0232f9f62cb6d9185afa51c7913338992491",
"filePath": "C:\\Windows\\System32\\notepad.exe",
"fileName": "notepad.exe"
}
],
"alertDomains": [],
"alertIps": [],
"alertProcesses": []
}
]
}
ファイル関連マシンの取得
ファイルハッシュに基づいて、Microsoft Defender for Endpoint からファイルに関連するマシンを取得します。
パラメータ
| パラメータの表示名 | タイプ | デフォルト値 | 必須 | 説明 |
|---|---|---|---|---|
| マシン名 | 文字列 | なし | いいえ | 検索する完全なマシン名を指定します。 |
| マシンの IP アドレス | 文字列 | なし | いいえ | 検索するマシンの IP アドレスを指定します。 |
| マシンリスク スコアリング | 文字列 | なし | いいえ | 検索するマシンのリスク スコアリングを指定します。 このパラメータは、カンマ区切りの文字列として複数の値を受け入れます。 |
| マシンのヘルス ステータス | 文字列 | Active、Inactive、ImpairedCommunication、NoSensorData、NoSensorDataImpairedCommunication | いいえ | 検索するマシンのヘルス ステータスを指定します。 このパラメータは、カンマ区切りの文字列として複数の値を受け入れます。 |
| マシン OS プラットフォーム | 文字列 | なし | いいえ | 検索するマシン OS プラットフォームを指定します。 |
| RBAC グループ ID | 文字列 | なし | いいえ | 検索する RBAC グループ ID を指定します。 |
ユースケース
Defender ATP コネクタから送信されたアラートを調査する際に、このアクションを使用して、Defender ATP でこのファイルが登録されたマシンに関する情報を収集できます。
実行
このアクションは Filehash エンティティに対して実行されます。
アクションの結果
スクリプトの結果
| スクリプトの結果名 | 値のオプション | 例 |
|---|---|---|
| is_success | True/False | is_success:False |
JSON の結果
{
"@odata.context": "https://api.securitycenter.windows.com/api/$metadata#Machines",
"value": [
{
"id": "example_id",
"computerDnsName": "example-name",
"firstSeen": "2019-11-18T11:13:04.0588699Z",
"lastSeen": "2019-11-20T19:35:36.4619266Z",
"osPlatform": "Windows10",
"osVersion": null,
"osProcessor": "x64",
"version": "1803",
"lastIpAddress": "192.0.2.1",
"lastExternalIpAddress": "203.0.113.121",
"agentVersion": "10.4860.17134.982",
"osBuild": 17134,
"healthStatus": "Active",
"rbacGroupId": 0,
"rbacGroupName": null,
"riskScore": "High",
"exposureLevel": "Medium",
"aadDeviceId": null,
"machineTags": []
}
]
}
ユーザーのマシンログを取得する
特定のコンピュータへのユーザーのログオンに関する情報を取得します。
パラメータ
なし
ユースケース
このアクションは、Defender ATP サーバーから問題のマシンにログオンしているユーザーに関する特定の詳細情報を取得するために、調査目的で使用できます。
実行
このアクションは次のエンティティに対して実行されます。
- ホスト
- IP アドレス
アクションの結果
スクリプトの結果
| スクリプトの結果名 | 値のオプション | 例 |
|---|---|---|
| is_success | True/False | is_success:False |
JSON の結果
{
"@odata.context": "https://api.securitycenter.windows.com/api/$metadata#Users",
"value": [
{
"id": "example\\example.user",
"accountName": "example.user",
"accountDomain": "example",
"accountSid": null,
"firstSeen": "2019-11-19T03:50:36Z",
"lastSeen": "2019-11-19T03:50:36Z",
"mostPrevalentMachineId": null,
"leastPrevalentMachineId": null,
"logonTypes": "Interactive",
"logOnMachinesCount": 1,
"isDomainAdmin": false,
"isOnlyNetworkUser": null
}
]
}
マシンに関する推奨事項を取得する
Get Machine Recommendations アクションを使用して、Microsoft Defender for Endpoint の特定のマシンに関するセキュリティ推奨事項のリストを取得します。
このアクションは、次の Google SecOps エンティティに対して実行されます。
HostnameIP Address
アクションへの入力
マシンに関する推奨事項を取得するアクションには、次のパラメータが必要です。
| パラメータ | 説明 |
|---|---|
Max Recommendations To Return |
必須。 各エンティティに対して取得する推奨事項の最大数。 最大値は デフォルト値は |
アクションの出力
Get Machine Recommendations アクションは、次の出力を提供します。
| アクションの出力タイプ | 対象 |
|---|---|
| ケースウォールのアタッチメント | 利用不可 |
| ケースウォールのリンク | 利用不可 |
| ケースウォール テーブル | 利用不可 |
| 拡充テーブル | 利用不可 |
| JSON の結果 | 利用可能 |
| 出力メッセージ | 利用可能 |
| スクリプトの結果 | 利用可能 |
JSON の結果
次の例は、Get Machine Recommendations アクションを使用した場合に受信される JSON 結果の出力を示しています。
{
"Entity": "",
"EntityResult": [
{
"id": "va-_-7-zip-_-7-zip",
"productName": "7-zip",
"recommendationName": "Update 7-zip to version 25.01.0.0",
"weaknesses": 12,
"vendor": "7-zip",
"recommendedVersion": "25.01.0.0",
"recommendedVendor": "",
"recommendedProgram": "",
"recommendationCategory": "Application",
"subCategory": "",
"severityScore": 0.0,
"publicExploit": true,
"activeAlert": false,
"associatedThreats": [],
"remediationType": "Update",
"status": "Active",
"configScoreImpact": 0.0,
"exposureImpact": 0.0,
"totalMachineCount": 0,
"exposedMachinesCount": 1,
"nonProductivityImpactedAssets": 0,
"relatedComponent": "7-zip",
"hasUnpatchableCve": false,
"tags": [],
"exposedCriticalDevices": 0
}
]
}
出力メッセージ
Get Machine Recommendations アクションは、次の出力メッセージを返すことができます。
| 出力メッセージ | メッセージの説明 |
|---|---|
|
アクションが成功しました。 |
Error executing action "Get Machine Recommendations". Reason:
ERROR_REASON |
操作に失敗しました。 サーバーへの接続、入力パラメータ、または認証情報を確認してください。 |
スクリプトの結果
次の表に、Get Machine Recommendations アクションを使用した場合のスクリプト結果の出力値を示します。
| スクリプトの結果名 | 値 |
|---|---|
is_success |
true または false |
マシン関連のアラートを取得する
Defender ATP に登録されている特定のマシンに関連するアラートを取得します。
パラメータ
| パラメータ | タイプ | デフォルト値 | 必須 | 説明 |
|---|---|---|---|---|
| ステータス | 文字列 | Unknown、New、InProgress、Resolved | いいえ | 検索するアラートのステータスを指定します。 このパラメータは、カンマ区切りの文字列として複数の値を受け入れます。 |
| 重大度 | 文字列 | 未指定、情報、低、中、高 | いいえ | 検索するインシデントの重大度を指定します。 このパラメータは、カンマ区切りの文字列として複数の値を受け入れます。 |
| カテゴリ | 文字列 | なし | いいえ | 検索するアラートのカテゴリを指定します。 指定しない場合、アクションはすべてのカテゴリを検索します。 パラメータは、カンマ区切りの文字列として複数の値を受け入れます。 指定できる値: 'Collection'、'CommandAndControl'、'CredentialAccess'、'DefenseEvasion'、'Discovery'、'Execution'、'Exfiltration'、'Exploit'、'InitialAccess'、'LateralMovement'、'Malware'、'Persistence'、'PrivilegeEscalation'、'Ransomware'、'SuspiciousActivity'、'UnwantedSoftware'。 |
| インシデント ID | Integer | なし | いいえ | 関連するアラートを検索する Microsoft Defender インシデント ID を指定します。 |
ユースケース
このアクションは、調査目的で、Defender ATP サーバーから問題の特定のマシンに関連するアラートを取得するために使用できます。
実行
このアクションは次のエンティティに対して実行されます。
- ホスト
- IP アドレス
アクションの結果
スクリプトの結果
| スクリプトの結果名 | 値のオプション | 例 |
|---|---|---|
| is_success | True/False | is_success:False |
JSON の結果
{
"@odata.context": "https://api.securitycenter.windows.com/api/$metadata#Alerts",
"value": [
{
"id": "example-id",
"incidentId": 1,
"investigationId": null,
"assignedTo": "testuser@example.com",
"severity": "Informational",
"status": "Resolved",
"classification": "FalsePositive",
"determination": "SecurityTesting",
"investigationState": "UnsupportedAlertType",
"detectionSource": "WindowsDefenderAtp",
"category": "Execution",
"threatFamilyName": null,
"title": "[Test Alert] Suspicious Powershell commandline",
"description": "*** This is a test alert ***\nA suspicious Powershell commandline was found on the machine. This commandline might be used during installation, exploration, or in some cases with lateral movement activities which are used by attackers to invoke modules, download external payloads, and get more information about the system. Attackers usually use Powershell to bypass security protection mechanisms by executing their payload in memory without touching the disk and leaving any trace.",
"alertCreationTime": "2019-11-18T11:17:48.287421Z",
"firstEventTime": "2019-11-18T11:15:06.5226815Z",
"lastEventTime": "2019-11-18T11:15:06.5226815Z",
"lastUpdateTime": "2019-11-20T04:12:03.91Z",
"resolvedTime": "2019-11-20T04:12:03.4976288Z",
"machineId": "machine-id",
"alertUser": {
"accountName": "Administrator",
"domainName": "US-LT-V13007"
},
"comments": [],
"alertFiles": [
{
"sha1": "3ce71813199abae99348f61f0caa34e2574f831c",
"sha256": "9a7c58bd98d70631aa1473f7b57b426db367d72429a5455b433a05ee251f3236",
"filePath": "C:\\Windows\\System32\\cmd.exe",
"fileName": "cmd.exe"
},
{
"sha1": "1b3b40fbc889fd4c645cc12c85d0805ac36ba254",
"sha256": "d3f8fade829d2b7bd596c4504a6dae5c034e789b6a3defbe013bda7d14466677",
"filePath": "C:\\Windows\\System32\\WindowsPowerShell\\v1.0\\powershell.exe",
"fileName": "powershell.exe"
}
],
"alertDomains": [],
"alertIps": [],
"alertProcesses": []
}
]
}
マシンの脆弱性を取得する
[Get Machine Vulnerabilities] アクションを使用して、Microsoft Defender for Endpoint の特定のマシンに関連付けられている脆弱性を一覧表示します。
このアクションは、次の Google SecOps エンティティに対して実行されます。
HostnameIP Address
アクションへの入力
Get Machine Vulnerabilities アクションには、次のパラメータが必要です。
| パラメータ | 説明 |
|---|---|
Severity Filter |
省略可。 返された脆弱性をフィルタするために使用される重大度レベル。 値は次のいずれかになります。
デフォルト値は |
Threat Filter |
省略可。 返された脆弱性をフィルタするために使用される脅威インテリジェンスの条件。 値は次のいずれかになります。
|
Sort By |
省略可。 返された脆弱性の並べ替えに使用されるフィールド。 値は次のいずれかになります。
デフォルト値は |
Sort Order |
省略可。 並べ替えられた結果が表示される順序。 値は次のいずれかになります。
デフォルト値は |
Max Vulnerabilities To Return |
必須。 各エンティティに対して返される脆弱性の最大数。 最大値は デフォルト値は |
アクションの出力
[Get Machine Vulnerabilities] アクションでは、次の出力が提供されます。
| アクションの出力タイプ | 対象 |
|---|---|
| ケースウォールのアタッチメント | 利用不可 |
| ケースウォールのリンク | 利用不可 |
| ケースウォール テーブル | 利用不可 |
| 拡充テーブル | 利用不可 |
| JSON の結果 | 利用可能 |
| 出力メッセージ | 利用可能 |
| スクリプトの結果 | 利用可能 |
JSON の結果
次の例は、Get Machine Vulnerabilities アクションを使用した場合に受信する JSON 結果の出力を示しています。
{
"Entity": "",
"EntityResult": [
{
"@odata.type": "#microsoft.windowsDefenderATP.api.PublicVulnerabilityDto",
"id": "CVE-2025-21266",
"name": "CVE-2025-21266",
"description": "Summary: The Windows Telephony Service in Microsoft Windows is vulnerable to remote code execution. An attacker can exploit this vulnerability by tricking a user into visiting a malicious website, which would allow them to execute arbitrary code on the system. Impact: If successfully exploited, this vulnerability could allow an attacker to execute arbitrary code on the affected system. This could lead to a complete compromise of the system, enabling the attacker to gain unauthorized access, steal sensitive information, or perform other malicious activities. Remediation: Apply the latest patches and updates provided by the respective vendors. Generated by AI",
"severity": "High",
"cvssV3": 8.8,
"cvssVector": "CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H/E:U/RL:O/RC:C",
"exposedMachines": 1,
"publishedOn": "2025-01-14T08:00:00Z",
"updatedOn": "2025-09-09T23:45:43.5Z",
"firstDetected": "2025-01-14T18:31:29Z",
"patchFirstAvailable": null,
"publicExploit": false,
"exploitVerified": false,
"exploitInKit": false,
"exploitTypes": [],
"exploitUris": [],
"cveSupportability": "Supported",
"tags": [],
"epss": 0.01391,
"status": "RemediationRequired"
}
]
}
出力メッセージ
Get Machine Vulnerabilities アクションは、次の出力メッセージを返すことができます。
| 出力メッセージ | メッセージの説明 |
|---|---|
|
アクションが成功しました。 |
Error executing action "Get Machine Vulnerabilities". Reason:
ERROR_REASON |
操作に失敗しました。 サーバーへの接続、入力パラメータ、または認証情報を確認してください。 |
スクリプトの結果
次の表に、Get Machine Vulnerabilities アクションを使用した場合のスクリプト結果の出力値を示します。
| スクリプトの結果名 | 値 |
|---|---|
is_success |
true または false |
ユーザー関連のアラートを取得する
[Get User Related Alerts] アクションを使用して、Microsoft Defender for Endpoint で特定のユーザーに関連付けられているアラートを一覧表示します。
このアクションは、Google SecOps User エンティティに対して実行されます。
アクションへの入力
Get User Related Alerts アクションには、次のパラメータが必要です。
| パラメータ | 説明 |
|---|---|
Max Alerts To Return |
必須。 各ユーザーに対して取得するアラートの最大数。 最大値は デフォルト値は |
アクションの出力
[Get User Related Alerts] アクションでは、次の出力が提供されます。
| アクションの出力タイプ | 対象 |
|---|---|
| ケースウォールのアタッチメント | 利用不可 |
| ケースウォールのリンク | 利用不可 |
| ケースウォール テーブル | 利用不可 |
| 拡充テーブル | 利用不可 |
| JSON の結果 | 利用可能 |
| 出力メッセージ | 利用可能 |
| スクリプトの結果 | 利用可能 |
JSON の結果
次の例は、Get User Related Alerts アクションを使用した場合に受信される JSON 結果の出力を示しています。
[
{
"Entity": "User@domain.local",
"EntityResult": [
{
"id": "da06788650-4d45-4dcf-ae23-d1071ad426ec_1",
"incident_id": 864492,
"investigation_id": 1778,
"assigned_to": "API-Automated Investigation and Response",
"severity": "Low",
"status": "Resolved",
"classification": null,
"determination": null,
"investigation_state": "Benign",
"detection_source": "WindowsDefenderAv",
"category": "Malware",
"threat_family_name": "Ceprolad",
"title": "An active '' malware ",
"description": "Malware and unwanted software are undesirable applications that perform annoying, disruptive, or harmful actions on affected machines. Some of these undesirable applications can replicate and spread from one machine to another. Others are able to receive commands from remote attackers and perform activities associated with cyber attacks.\n\nA malware is considered active if it is found running on the machine or it already has persistence mechanisms in place. Active malware detections are assigned higher severity ratings.\n\nBecause this malware was active, take precautionary measures and check for residual signs of infection.",
"alert_creation_time": "2026-02-27T06:58:08.1366667Z",
"first_event_time": "2026-02-27T06:55:51.021546Z",
"last_event_time": "2026-02-27T06:55:51.021546Z",
"last_update_time": "2026-02-27T07:13:46.2333333Z",
"resolved_time": "2026-02-27T07:13:44.3513463Z",
"machine_id": "4f683b2d393afc3149b0de4149acc5449acdf07e",
"alert_user": null,
"alert_files": [],
"comments": [],
"alert_domains": null,
"alert_ips": null,
"alert_processes": null
},
{
"id": "da0b1f334d-b5e5-4618-8a2a-d3675e62a93b_1",
"incident_id": 864492,
"investigation_id": null,
"assigned_to": null,
"severity": "Low",
"status": "New",
"classification": null,
"determination": null,
"investigation_state": "UnsupportedAlertType",
"detection_source": "WindowsDefenderAtp",
"category": "Execution",
"threat_family_name": null,
"title": "Suspicious JavaScript process",
"description": "A suspicious JavaScript process was observed on this device. Attackers typically use JavaScript to download secondary payloads, run additional commands, and perform other malicious activities on the target device.",
"alert_creation_time": "2026-02-27T06:58:38.5533333Z",
"first_event_time": "2026-02-27T06:55:32.6699867Z",
"last_event_time": "2026-03-05T07:24:52.7415066Z",
"last_update_time": "2026-03-05T07:28:04.67Z",
"resolved_time": null,
"machine_id": "4f683b2d393afc3149b0de4149acc5449acdf07e",
"alert_user": null,
"alert_files": [],
"comments": [],
"alert_domains": null,
"alert_ips": null,
"alert_processes": null
},
{
"id": "da0cfbb355-b5a5-43a5-adb6-d0879d0b0917_1",
"incident_id": 690846,
"investigation_id": null,
"assigned_to": "analyst@company.onmicrosoft.com",
"severity": "Medium",
"status": "InProgress",
"classification": null,
"determination": null,
"investigation_state": "UnsupportedAlertType",
"detection_source": "WindowsDefenderAtp",
"category": "Execution",
"threat_family_name": null,
"title": "Suspicious behavior by cmd.exe was observed",
"description": "A suspicious behavior by cmd.exe was observed. This behavior may indicate malware installation or other malicious activities on the machine.",
"alert_creation_time": "2025-10-13T10:26:21.3333333Z",
"first_event_time": "2025-10-13T10:23:58.1472359Z",
"last_event_time": "2025-10-13T10:25:22.714708Z",
"last_update_time": "2026-02-13T08:14:22.61Z",
"resolved_time": null,
"machine_id": "4f683b2d393afc3149b0de4149acc5449acdf07e",
"alert_user": null,
"alert_files": [],
"comments": [
{
"comment": "\ud83d\udfe6 Intezer Automated Triage\n===================================\n\u26a0\ufe0f Suspicious - Not Mitigated - Follow Up Required\n===================================\n\n- Title: Suspicious behavior by cmd.exe was observed\n- Source: Microsoft Defender for Endpoint\n- Creation time: 13 Oct 25 | 10:26 UTC\n- External severity: Medium\n- Hosts: \n * workstation-01 (Windows10)\n- Description: A suspicious behavior by cmd.exe was observed. This behavior may indicate malware installation or other malicious activities on the machine.\n- TTPs:\n * Command and Control: Application Layer Protocol [T1071]\n * Defense Evasion: MMC [T1218.014]\n * Execution: Windows Command Shell [T1059.003]\n- Recommended actions: Ensure Device is Patched, Run Intezer Endpoint Scan (https://docs.intezer.com/docs/live-endpoint-analysis), Validate Activity with User\n- Malicious files: APTSimulator_scheduler.bat\n\nView alert: \ud83d\udc49 https://analyze.intezer.com/alerts/da0cfbb355-b5a5-43a5-adb6-d0879d0b0917_1?environment=mde",
"createdBy": "API Action",
"createdTime": "2025-10-13T10:40:32.4733451Z"
}
],
"alert_domains": null,
"alert_ips": null,
"alert_processes": null
},
{
"id": "da0e3de096-1789-43ff-bb2e-6cc22e5037ad_1",
"incident_id": 864492,
"investigation_id": null,
"assigned_to": null,
"severity": "Low",
"status": "New",
"classification": null,
"determination": null,
"investigation_state": "UnsupportedAlertType",
"detection_source": "WindowsDefenderAtp",
"category": "DefenseEvasion",
"threat_family_name": null,
"title": "Suspicious registry modification",
"description": "A suspicious process modified the registry on this device. Registry entries can be added, modified, or removed to change various settings of the system or behavior of a program. Attackers leverage this technique to gain persistence, escalate privileges, launch malicious codes, or to tamper with security products.",
"alert_creation_time": "2026-02-27T06:58:38.7266667Z",
"first_event_time": "2026-02-27T06:56:11.3416006Z",
"last_event_time": "2026-03-05T07:25:30.6007486Z",
"last_update_time": "2026-03-05T07:28:07.39Z",
"resolved_time": null,
"machine_id": "4f683b2d393afc3149b0de4149acc5449acdf07e",
"alert_user": null,
"alert_files": [],
"comments": [],
"alert_domains": null,
"alert_ips": null,
"alert_processes": null
},
{
"id": "da13c4af0a-bd35-4cb2-a556-fa972f3b80da_1",
"incident_id": 864492,
"investigation_id": 1779,
"assigned_to": "API-Automated Investigation and Response",
"severity": "Low",
"status": "Resolved",
"classification": null,
"determination": null,
"investigation_state": "Benign",
"detection_source": "WindowsDefenderAv",
"category": "Malware",
"threat_family_name": "Ceprolad",
"title": "An active '' malware ",
"description": "Malware and unwanted software are undesirable applications that perform annoying, disruptive, or harmful actions on affected machines. Some of these undesirable applications can replicate and spread from one machine to another. Others are able to receive commands from remote attackers and perform activities associated with cyber attacks.\n\nA malware is considered active if it is found running on the machine or it already has persistence mechanisms in place. Active malware detections are assigned higher severity ratings.\n\nBecause this malware was active, take precautionary measures and check for residual signs of infection.",
"alert_creation_time": "2026-03-02T07:26:21.22Z",
"first_event_time": "2026-03-02T07:25:05.4166175Z",
"last_event_time": "2026-03-02T07:25:05.4166175Z",
"last_update_time": "2026-03-02T07:37:19.2666667Z",
"resolved_time": "2026-03-02T07:37:19.1231428Z",
"machine_id": "4f683b2d393afc3149b0de4149acc5449acdf07e",
"alert_user": null,
"alert_files": [],
"comments": [],
"alert_domains": null,
"alert_ips": null,
"alert_processes": null
},
{
"id": "da2052972f-7cc3-42c8-8abf-8ac490d63c35_1",
"incident_id": 690846,
"investigation_id": null,
"assigned_to": "analyst@company.onmicrosoft.com",
"severity": "Medium",
"status": "InProgress",
"classification": null,
"determination": null,
"investigation_state": "UnsupportedAlertType",
"detection_source": "WindowsDefenderAtp",
"category": "Execution",
"threat_family_name": null,
"title": "Suspicious behavior by cmd.exe was observed",
"description": "A suspicious behavior by cmd.exe was observed. This behavior may indicate malware installation or other malicious activities on the machine.",
"alert_creation_time": "2025-10-07T10:25:41.1666667Z",
"first_event_time": "2025-10-07T10:23:44.5677721Z",
"last_event_time": "2025-10-07T10:25:10.6581007Z",
"last_update_time": "2026-02-13T08:14:22.61Z",
"resolved_time": null,
"machine_id": "4f683b2d393afc3149b0de4149acc5449acdf07e",
"alert_user": null,
"alert_files": [],
"comments": [
{
"comment": "\ud83d\udfe6 Intezer Automated Triage\n===================================\n\ud83e\udde8 Generic Threat - APTSimulator_schedu... - Not Mitigated - Escalated\n===================================\n\n- Title: Suspicious behavior by cmd.exe was observed\n- Source: Microsoft Defender for Endpoint\n- Creation time: 07 Oct 25 | 10:25 UTC\n- External severity: Medium\n- Hosts: \n * workstation-01 (Windows10)\n- Description: A suspicious behavior by cmd.exe was observed. This behavior may indicate malware installation or other malicious activities on the machine.\n- TTPs:\n * Command and Control: Application Layer Protocol [T1071]\n * Defense Evasion: MMC [T1218.014]\n * Execution: Windows Command Shell [T1059.003]\n- Recommended actions: Isolation, Stop and Quarantine File, Run Intezer Endpoint Scan (https://docs.intezer.com/docs/live-endpoint-analysis)\n- Malicious files: APTSimulator_scheduler.bat\n\nView alert: \ud83d\udc49 https://analyze.intezer.com/alerts/da2052972f-7cc3-42c8-8abf-8ac490d63c35_1?environment=mde",
"createdBy": "API Action",
"createdTime": "2025-10-07T10:27:41.3867936Z"
},
{
"comment": "\ud83d\udfe6 Intezer Automated Triage (\ud83d\udca1Triage updated \u2192 Risk Deescalated)\n===================================\n\u26a0\ufe0f Suspicious - Not Mitigated - Follow Up Required\n===================================\n\n- Title: Suspicious behavior by cmd.exe was observed\n- Source: Microsoft Defender for Endpoint\n- Creation time: 07 Oct 25 | 10:25 UTC\n- External severity: Medium\n- Hosts: \n * workstation-01 (Windows10)\n- Description: A suspicious behavior by cmd.exe was observed. This behavior may indicate malware installation or other malicious activities on the machine.\n- TTPs:\n * Command and Control: Application Layer Protocol [T1071]\n * Defense Evasion: MMC [T1218.014]\n * Execution: Windows Command Shell [T1059.003]\n- Recommended actions: Ensure Device is Patched, Run Intezer Endpoint Scan (https://docs.intezer.com/docs/live-endpoint-analysis), Validate Activity with User\n- Malicious files: APTSimulator_scheduler.bat\n\nView alert: \ud83d\udc49 https://analyze.intezer.com/alerts/da2052972f-7cc3-42c8-8abf-8ac490d63c35_1?environment=mde",
"createdBy": "API Action",
"createdTime": "2025-10-07T10:32:21.417826Z"
}
],
"alert_domains": null,
"alert_ips": null,
"alert_processes": null
},
{
"id": "da2068d331-0335-4479-9f96-e8f33db81aa9_1",
"incident_id": 864492,
"investigation_id": 1780,
"assigned_to": "API-Automated Investigation and Response",
"severity": "Low",
"status": "Resolved",
"classification": null,
"determination": null,
"investigation_state": "Benign",
"detection_source": "WindowsDefenderAv",
"category": "Malware",
"threat_family_name": "Ceprolad",
"title": "An active 'Ceprolad' malware in a command line was prevented from executing",
"description": "Malware and unwanted software are undesirable applications that perform annoying, disruptive, or harmful actions on affected machines. Some of these undesirable applications can replicate and spread from one machine to another. Others are able to receive commands from remote attackers and perform activities associated with cyber attacks.\n\nA malware is considered active if it is found running on the machine or it already has persistence mechanisms in place. Active malware detections are assigned higher severity ratings.\n\nBecause this malware was active, take precautionary measures and check for residual signs of infection.",
"alert_creation_time": "2026-03-05T07:26:09.89Z",
"first_event_time": "2026-03-05T07:25:08.6889036Z",
"last_event_time": "2026-03-05T07:25:08.6889036Z",
"last_update_time": "2026-03-05T07:37:44.9066667Z",
"resolved_time": "2026-03-05T07:37:44.65021Z",
"machine_id": "4f683b2d393afc3149b0de4149acc5449acdf07e",
"alert_user": null,
"alert_files": [],
"comments": [],
"alert_domains": null,
"alert_ips": null,
"alert_processes": null
},
{
"id": "da29243e25-be1e-47b7-9d40-e626df36345c_1",
"incident_id": 688299,
"investigation_id": null,
"assigned_to": null,
"severity": "Medium",
"status": "InProgress",
"classification": null,
"determination": null,
"investigation_state": "UnsupportedAlertType",
"detection_source": "WindowsDefenderAtp",
"category": "Persistence",
"threat_family_name": null,
"title": "New group added suspiciously",
"description": "A new group was added after suspicious activities were detected. An attacker might add new users to the group in an attempt to gain a better foothold on the machine or network.",
"alert_creation_time": "2025-09-18T14:59:47.52Z",
"first_event_time": "2025-09-18T14:53:30.7348596Z",
"last_event_time": "2025-09-21T14:53:43.8093531Z",
"last_update_time": "2025-09-21T14:56:44.5166667Z",
"resolved_time": null,
"machine_id": "4f683b2d393afc3149b0de4149acc5449acdf07e",
"alert_user": null,
"alert_files": [],
"comments": [
{
"comment": "\ud83d\udfe6 Intezer Automated Triage\n===================================\n\u26a0\ufe0f Suspicious - APTSimulator_schedu... - Not Mitigated - Follow Up Required\n===================================\n\n- Title: New group added suspiciously\n- Source: Microsoft Defender for Endpoint\n- Creation time: 18 Sep 25 | 14:59 UTC\n- External severity: Medium\n- Hosts: \n * workstation-01 (Windows10)\n- Description: A new group was added after suspicious activities were detected. An attacker might add new users to the group in an attempt to gain a better foothold on the machine or network.\n- TTPs:\n * Command and Control: Application Layer Protocol [T1071]\n * Discovery: Local Groups [T1069.001]\n * Persistence: Account Manipulation [T1098]\n- Recommended actions: Ensure Device is Patched, Run Intezer Endpoint Scan (https://docs.intezer.com/docs/live-endpoint-analysis), Validate Activity with User\n\nView alert: \ud83d\udc49 https://analyze.intezer.com/alerts/da29243e25-be1e-47b7-9d40-e626df36345c_1?environment=mde",
"createdBy": "API Action",
"createdTime": "2025-09-18T15:03:43.2796289Z"
}
],
"alert_domains": null,
"alert_ips": null,
"alert_processes": null
},
{
"id": "da2be6df1c-2401-4545-8111-5f75d0fd0223_1",
"incident_id": 690846,
"investigation_id": null,
"assigned_to": "analyst@company.onmicrosoft.com",
"severity": "Low",
"status": "InProgress",
"classification": null,
"determination": null,
"investigation_state": "UnsupportedAlertType",
"detection_source": "WindowsDefenderAtp",
"category": "Execution",
"threat_family_name": null,
"title": "Suspicious JavaScript process",
"description": "A suspicious JavaScript process was observed on this device. Attackers typically use JavaScript to download secondary payloads, run additional commands, and perform other malicious activities on the target device.",
"alert_creation_time": "2025-10-01T10:26:20.6566667Z",
"first_event_time": "2025-10-01T10:24:19.1071611Z",
"last_event_time": "2025-10-07T10:24:27.1065475Z",
"last_update_time": "2026-02-13T08:14:22.61Z",
"resolved_time": null,
"machine_id": "4f683b2d393afc3149b0de4149acc5449acdf07e",
"alert_user": null,
"alert_files": [],
"comments": [
{
"comment": "\ud83d\udfe6 Intezer Automated Triage\n===================================\n\u26a0\ufe0f Suspicious - en-US.js - Not Mitigated - Follow Up Required\n===================================\n\n- Title: Suspicious JavaScript process\n- Source: Microsoft Defender for Endpoint\n- Creation time: 01 Oct 25 | 10:26 UTC\n- External severity: Low\n- Hosts: \n * workstation-01 (Windows10)\n- Description: A suspicious JavaScript process was observed on this device. Attackers typically use JavaScript to download secondary payloads, run additional commands, and perform other malicious activities on the target device.\n- TTPs:\n * Command and Control: Application Layer Protocol [T1071]\n * Defense Evasion: Indicator Removal on Host [T1070]\n * Defense Evasion: Indicator Removal on Host: Timestomp [T1070.006]\n- Recommended actions: Ensure Device is Patched, Run Intezer Endpoint Scan (https://docs.intezer.com/docs/live-endpoint-analysis), Validate Activity with User\n\nView alert: \ud83d\udc49 https://analyze.intezer.com/alerts/da2be6df1c-2401-4545-8111-5f75d0fd0223_1?environment=mde",
"createdBy": "API Action",
"createdTime": "2025-10-01T10:30:36.462226Z"
}
],
"alert_domains": null,
"alert_ips": null,
"alert_processes": null
},
{
"id": "da37252b75-0446-4a7b-99b4-e64886557bd3_1",
"incident_id": 688299,
"investigation_id": null,
"assigned_to": null,
"severity": "Low",
"status": "InProgress",
"classification": null,
"determination": null,
"investigation_state": "UnsupportedAlertType",
"detection_source": "WindowsDefenderAtp",
"category": "Execution",
"threat_family_name": null,
"title": "Suspicious JavaScript process",
"description": "A suspicious JavaScript process was observed on this device. Attackers typically use JavaScript to download secondary payloads, run additional commands, and perform other malicious activities on the target device.",
"alert_creation_time": "2025-09-18T14:59:46.57Z",
"first_event_time": "2025-09-18T14:54:11.4061419Z",
"last_event_time": "2025-09-21T14:54:00.575478Z",
"last_update_time": "2025-09-21T14:56:36.6533333Z",
"resolved_time": null,
"machine_id": "4f683b2d393afc3149b0de4149acc5449acdf07e",
"alert_user": null,
"alert_files": [],
"comments": [
{
"comment": "\ud83d\udfe6 Intezer Automated Triage\n===================================\n\u26a0\ufe0f Suspicious - wscript.exe - Not Mitigated - Follow Up Required\n===================================\n\n- Title: Suspicious JavaScript process\n- Source: Microsoft Defender for Endpoint\n- Creation time: 18 Sep 25 | 14:59 UTC\n- External severity: Low\n- Hosts: \n * workstation-01 (Windows10)\n- Description: A suspicious JavaScript process was observed on this device. Attackers typically use JavaScript to download secondary payloads, run additional commands, and perform other malicious activities on the target device.\n- TTPs:\n * Command and Control: Application Layer Protocol [T1071]\n * Defense Evasion: Indicator Removal on Host [T1070]\n * Defense Evasion: Indicator Removal on Host: Timestomp [T1070.006]\n- Recommended actions: Ensure Device is Patched, Run Intezer Endpoint Scan (https://docs.intezer.com/docs/live-endpoint-analysis), Validate Activity with User\n\nView alert: \ud83d\udc49 https://analyze.intezer.com/alerts/da37252b75-0446-4a7b-99b4-e64886557bd3_1?environment=mde",
"createdBy": "API Action",
"createdTime": "2025-09-18T15:06:13.2743521Z"
}
],
"alert_domains": null,
"alert_ips": null,
"alert_processes": null
}
]
}
]
出力メッセージ
Get User Related Alerts アクションは、次の出力メッセージを返すことができます。
| 出力メッセージ | メッセージの説明 |
|---|---|
|
アクションが成功しました。 |
Error executing action "Get User Related Alerts". Reason:
ERROR_REASON |
操作に失敗しました。 サーバーへの接続、入力パラメータ、または認証情報を確認してください。 |
スクリプトの結果
次の表に、Get User Related Alerts アクションを使用した場合のスクリプト結果の出力値を示します。
| スクリプトの結果名 | 値 |
|---|---|
is_success |
true または false |
マシンを分離する
Microsoft Defender for Endpoint を使用してマシンを隔離します。マシンは、完全な分離または選択的な分離に設定できます。Outlook、Skype for Business、Teams アプリケーションは、分離されたマシンでも引き続き動作します。
パラメータ
| パラメータの表示名 | タイプ | デフォルト値 | 必須 | 説明 |
|---|---|---|---|---|
| 分離タイプ | DDL | フル 有効な値:
|
○ | 分離タイプを指定します。 |
| コメント | 文字列 | なし | ○ | マシンを隔離する必要がある理由をコメントとして指定します。 |
| インサイトを作成しますか? | チェックボックス | オン | 有効にすると、アクションが正常に実行された場合、関連情報を含む Google SecOps の分析情報が作成されます。 |
ユースケース
感染していると考えられるマシンを隔離します。たとえば、Defender ATP コネクタのアラートが Google SecOps サーバーに取り込まれ、アラート分析中に、アラート マシン(ケース エンティティ)に関連して、感染している可能性があり、隔離する必要があることが判明しました。
実行
このアクションは次のアクションに対して実行されます。
- ホスト
- IP アドレス
アクションの結果
スクリプトの結果
実行されたすべてのエンティティに対して API エンドポイントが ステータス 201 を返した場合、JSON レスポンスの「status」は「Pending」になります。これは、API リクエストが正常に実行されたことを示します。少なくとも 1 つのエンティティでアクションが失敗した場合、最終結果は失敗(False)になります。
| スクリプトの結果名 | 値のオプション | 例 |
|---|---|---|
| is_success | True/False | is_success:False |
JSON の結果
{
"@odata.context": "https://api.securitycenter.windows.com/api/$metadata#MachineActions/$entity",
"id": "example-id",
"type": "Isolate",
"requestor": "requestor-id",
"requestorComment": "Machine Isolation due to alert ...",
"status": "Pending",
"machineId": "machine-id",
"creationDateTimeUtc": "2019-11-21T03:55:59.5419077Z",
"lastUpdateDateTimeUtc": "2019-11-21T03:55:59.5419077Z",
"cancellationRequestor": null,
"cancellationComment": null,
"cancellationDateTimeUtc": null,
"errorHResult": 0,
"scope": null,
"relatedFileInfo": null
}
分析情報
- インサイト ロジック: Defender ATP エージェントを使用してマシンが隔離された場合は、これを示すインサイトを作成します。
- タイプ: エンティティ。
- タイトル(文字列): entity。
- IdentifierMessage: "Host was isolated using Microsoft Defender for Endpoint."
アラートを一覧表示する
指定された検索条件に基づいて Microsoft Defender for Endpoint のアラートを一覧表示します。このアクションは、検出されたアラートに関する情報をテーブルと JSON ビュー形式でアクション出力として返します。また、アクション出力 JSON ファイルに保存され、添付された未加工のアラートデータも返します。
パラメータ
| パラメータの表示名 | タイプ | デフォルト値 | 必須 | 説明 |
|---|---|---|---|---|
| 期間 | Integer | 3 | いいえ | アラートを取得する期間を時間で指定します。 |
| ステータス | 文字列 | Unknown、New、InProgress、Resolved | いいえ | 検索するアラートのステータスを指定します。 このパラメータは、カンマ区切りの文字列として複数の値を受け入れます。 |
| 重大度 | 文字列 | なし | いいえ | 検索するインシデントの重大度を指定します。 指定しない場合、アクションはすべての重大度を検索します。 このパラメータは、カンマ区切りの文字列として複数の値を受け入れます。 有効な値: UnSpecified、Informational、Low、Medium、High |
| カテゴリ | 文字列 | なし | いいえ | 検索するアラートのカテゴリを指定します。 指定しない場合、アクションはすべてのカテゴリを検索します。 このパラメータは、カンマ区切りの文字列として複数の値を受け入れます。 指定できる値: 'Collection'、'CommandAndControl'、'CredentialAccess'、'DefenseEvasion'、 'Discovery'、'Execution'、'Exfiltration'、'Exploit'、'InitialAccess'、 'LateralMovement'、'Malware'、'Persistence'、'PrivilegeEscalation'、 'Ransomware'、'SuspiciousActivity'、'UnwantedSoftware'。 |
| インシデント ID | Integer | なし | いいえ | 関連するアラートを検索する Microsoft Defender インシデント ID を指定します。 |
ユースケース
このアクションは、エンドユーザーの Google SecOps サーバーに対する Defender ATP 警告を確認するために使用できます。たとえば、Defender ATP コネクタから送信された警告を処理する場合、ユーザーは「List Warnings」アクションを構成して、処理されたアラート IncidentId を入力パラメータとして受け入れ、Defender ATP サーバーから詳細を pull します。1 つの Defender ATP インシデントの一部である他の警告もあります。
実行
このアクションはすべてのエンティティに対して実行されます。
アクションの結果
スクリプトの結果
| スクリプトの結果名 | 値のオプション | 例 |
|---|---|---|
| is_success | True/False | is_success:False |
JSON の結果
{
"@odata.context": "https://api.securitycenter.windows.com/api/$metadata#Alerts",
"value": [
{
"id": "example_id",
"incidentId": 2,
"investigationId": null,
"assignedTo": null,
"severity": "Medium",
"status": "New",
"classification": null,
"determination": null,
"investigationState": "UnsupportedAlertType",
"detectionSource": "WindowsDefenderAtp",
"category": "Execution",
"threatFamilyName": null,
"title": "Unexpected behavior observed by a process run with no command line arguments",
"description": "The legitimate process by this name does not normally exhibit this behavior when run with no command line arguments. \nSuch unexpected behavior may be a result of extraneous code injected into a legitimate process, or a malicious executable masquerading as the legitimate one by name.",
"alertCreationTime": "2019-11-19T03:56:35.3007009Z",
"firstEventTime": "2019-11-19T03:54:16.0441057Z",
"lastEventTime": "2019-11-19T03:54:16.0441057Z",
"lastUpdateTime": "2019-11-19T03:56:38.45Z",
"resolvedTime": null,
"machineId": "machine-id",
"alertUser": null,
"comments": [],
"alertFiles": [],
"alertDomains": [],
"alertIps": [],
"alertProcesses": []
}
]
}
インジケーターを一覧表示する
Microsoft Defender for Endpoint のインジケーターを一覧表示します。
パラメータ
| パラメータの表示名 | タイプ | デフォルト値 | 必須 | 説明 |
|---|---|---|---|---|
| インジケーター | CSV | なし | いいえ | 取得するインジケーターのカンマ区切りのリストを指定します。 |
| インジケーター タイプ | CSV | FileSha1,FileSha256,FileMd5,CertificateThumbprint,IpAddress,DomainName, Url | いいえ | 取得するインジケーター タイプのカンマ区切りのリストを指定します。 指定できる値: FileSha1、FileSha256、FileMd5、CertificateThumbprint、IpAddress、DomainName、Url。 |
| 操作 | CSV | Warn,Block,Audit,Alert,AlertAndBlock,BlockAndRemediate,Allowed | いいえ | フィルタリングに使用するインジケーター アクションのカンマ区切りのリストを指定します。 有効な値: Warn、Block、Audit、Alert、AlertAndBlock、BlockAndRemediate、Allowed |
| 重大度 | CSV | 情報、低、中、高 | いいえ | フィルタリングに使用する重大度のカンマ区切りのリストを指定します。 有効な値: 情報、低、中、高 |
| 返される結果の最大数 | 整数 | 50 | いいえ | 返されるインジケーターの数を指定します。 |
実行
このアクションはエンティティに対しては実行されません。
アクションの結果
スクリプトの結果
| スクリプトの結果名 | 値のオプション | 例 |
|---|---|---|
| is_success | True/False | is_success:False |
JSON の結果
{
"id": "18",
"indicatorValue": "110e7d15b011d7fac48f2bd61114db1022197f7a",
"indicatorType": "FileSha1",
"action": "Audit",
"createdBy": "45e9773c-100e-4a9f-ad37-d8e182e9ed26",
"severity": "Informational",
"category": 1,
"application": "demo-test",
"educateUrl": null,
"bypassDurationHours": null,
"title": "test",
"description": "test",
"recommendedActions": "nothing",
"creationTimeDateTimeUtc": "2022-02-08T14:20:34.9071582Z",
"expirationTime": null,
"lastUpdateTime": "2022-02-08T14:20:34.9151307Z",
"lastUpdatedBy": null,
"rbacGroupNames": [],
"rbacGroupIds": [],
"notificationId": null,
"notificationBody": null,
"version": null,
"mitreTechniques": [],
"historicalDetection": false,
"lookBackPeriod": null,
"generateAlert": true,
"additionalInfo": null,
"createdByDisplayName": "Example Defender ATP",
"externalId": null,
"createdBySource": "PublicApi",
"certificateInfo": null
}
ケースウォール
| 結果のタイプ | 値 / 説明 | タイプ |
|---|---|---|
| 出力メッセージ * | アクションが失敗したり、ハンドブックの実行を停止したりすることはありません。 データが利用可能な場合(is_success=true):「Microsoft Defender for Endpoint で指定された条件に該当するインジケーターが正常に見つかりました。」 データが利用できない場合(is_success=false):「Microsoft Defender for Endpoint で指定された条件に該当するインジケーターが見つかりませんでした。」 アクションが失敗し、ハンドブックの実行が停止します。 間違った認証情報、サーバーへの接続なし、その他など、致命的なエラーが報告された場合:「アクション「インジケーターの一覧表示」の実行エラー。理由: {0}」.format(error.Stacktrace) 無効な「インジケーター タイプ」パラメータが指定された場合: 「アクション「インジケーターの一覧表示」の実行エラー。理由: パラメータ「インジケーター タイプ」の値が無効です。有効な値: FileSha1、FileSha256、FileMd5、CertificateThumbprint、IpAddress、DomainName、Url。 無効な「Actions」パラメータが指定されている場合: 「アクション「インジケーターの一覧表示」の実行エラー。理由: パラメータ「Actions」の値が無効です。有効な値: Warn、Block、Audit、Alert、AlertAndBlock、BlockAndRemediate、Allowed。 無効な「重大度」パラメータが指定された場合: 「アクション「インジケーターの一覧表示」の実行エラー。理由: パラメータ「アクション」の値が無効です。有効な値: 情報、低、中、高。 |
全般 |
| Case Wall テーブル | 検出されたインジケーター タイプ: indicatorType アクション: action 重大度: severity 説明: description タイトル: title 推奨事項: recommendedActions |
エンティティ |
マシンを一覧表示する
検索に指定されたパラメータに基づいて、Microsoft Defender for Endpoint サーバーに登録されているマシンに関する情報を取得します。
パラメータ
| パラメータ | タイプ | デフォルト値 | 必須 | 説明 |
|---|---|---|---|---|
| 最終表示時間枠 | Integer | なし | いいえ | 最後に確認された対象の期間を時間単位で指定します。 |
| マシン名 | 文字列 | なし | いいえ | 検索する完全なマシン名を指定します。 |
| マシンの IP アドレス | 文字列 | なし | いいえ | 検索するマシンの IP アドレスを指定します。 |
| マシンリスク スコアリング | 文字列 | なし、低、中、高 | いいえ | 検索するマシンのリスク スコアリングを指定します。 このパラメータは、カンマ区切りの文字列として複数の値を受け入れます。 |
| マシンのヘルス ステータス | 文字列 | Active、Inactive、ImpairedCommunication、NoSensorData、NoSensorDataImpairedCommunication | いいえ | 検索するマシンのヘルス ステータスを指定します。 このパラメータは、カンマ区切りの文字列として複数の値を受け入れます。 |
| マシン OS プラットフォーム | 文字列 | なし | いいえ | 検索するマシン OS プラットフォームを指定します。 |
| RBAC グループ ID | 文字列 | なし | いいえ | 検索する RBAC グループ ID を指定します。 |
ユースケース
このアクションは、Defender ATP サーバーに登録されているデバイスに関する情報を取得するための調査目的で使用できます。このアクションは主に手動アクションとして使用されます。ユーザーは Defender ATP コンソールに戻って、Defender ATP エージェントが動作しているマシンを探す必要がありません。
実行
このアクションはすべてのエンティティに対して実行されます。
アクションの結果
スクリプトの結果
| スクリプトの結果名 | 値のオプション | 例 |
|---|---|---|
| is_success | True/False | is_success:False |
JSON の結果
{
"@odata.context": "https://api.securitycenter.windows.com/api/$metadata#Machines",
"value": [
{
"id": "example-id",
"computerDnsName": "example-name",
"firstSeen": "2019-11-18T11:13:04.0588699Z",
"lastSeen": "2019-11-20T09:59:28.0646303Z",
"osPlatform": "Windows10",
"osVersion": null,
"osProcessor": "x64",
"version": "1803",
"lastIpAddress": "192.0.2.138",
"lastExternalIpAddress": "203.0.113.35",
"agentVersion": "10.4860.17134.982",
"osBuild": 17134,
"healthStatus": "Active",
"rbacGroupId": 0,
"rbacGroupName": null,
"riskScore": "High",
"exposureLevel": "Medium",
"aadDeviceId": null,
"machineTags": []
},{
"id": "example-id",
"computerDnsName": "example-name",
"firstSeen": "2019-11-20T08:36:16.2721384Z",
"lastSeen": "2019-11-20T08:36:52.7182837Z",
"osPlatform": "Windows10",
"osVersion": null,
"osProcessor": "x64",
"version": "1803",
"lastIpAddress": "192.0.2.141",
"lastExternalIpAddress": "203.0.113.35",
"agentVersion": "10.4850.17134.191",
"osBuild": 17134,
"healthStatus": "Active",
"rbacGroupId": 0,
"rbacGroupName": null,
"riskScore": "None",
"exposureLevel": "Medium",
"aadDeviceId": null,
"machineTags": []
}
]
}
Ping
統合構成ページで提供されているパラメータを使用して、Microsoft Defender for Endpoint インスタンスへの接続をテストします。
パラメータ
なし
ユースケース
このアクションは、接続性をテストするために使用され、手動によるアクションとして実行できます。これは、プレイブックには含まれません。
実行
このアクションはすべてのエンティティに対して実行されます。
アクションの結果
スクリプトの結果
| スクリプトの結果名 | 値のオプション | 例 |
|---|---|---|
| is_success | True/False | is_success:False |
高度なハンティング クエリを実行する
Microsoft Defender for Endpoint の高度なハンティング クエリを実行します。引用符、改行、その他の特殊記号はエスケープする必要があります。たとえば、引用符をエスケープするにはバックスラッシュを使用します。
パラメータ
| パラメータの表示名 | 種類 | デフォルト値 | 必須 | 説明 |
|---|---|---|---|---|
| パラメータの表示名 | タイプ | デフォルト値 | 必須 | 説明 |
| クエリ | 文字列 | なし | ○ | 実行する高度なハンティング クエリ。 |
ユースケース
ユーザーは、特定の Defender アラートの処理中に Defender ATP で収集されたデータをクエリするために使用するハンティング クエリを持つことができます。このアクションにより、ユーザーはそれらの高度なハンティング クエリを実行できます。
実行
このアクションはすべてのエンティティに対して実行されます。
アクションの結果
スクリプトの結果
| スクリプトの結果名 | 値のオプション | 例 |
|---|---|---|
| is_success | True/False | is_success:False |
JSON の結果
{
"Stats": {
"ExecutionTime": 0.0156652,
"resource_usage": {
"cache": {
"memory": {
"hits": 13,
"misses": 0,
"total": 13
},
"disk": {
"hits": 0,
"misses": 0,
"total": 0
}
},
"cpu": {
"user": "00:00:00.0156250",
"kernel": "00:00:00",
"total cpu": "00:00:00.0156250"
},
"memory": {
"peak_per_node": 33554624
}
},
"dataset_statistics": [
{
"table_row_count": 2,
"table_size": 60
}
]
},
"Schema": [
{
"Name": "EventTime",
"Type": "DateTime"
},
{
"Name": "FileName",
"Type": "String"
},
{
"Name": "InitiatingProcessFileName",
"Type": "String"
}
],
"Results": [
{
"EventTime": "2019-11-18T11:13:07.043128Z",
"FileName": "csc.exe",
"InitiatingProcessFileName": "powershell.exe"
},
{
"EventTime": "2019-11-19T03:54:14.4256361Z",
"FileName": "csc.exe",
"InitiatingProcessFileName": "powershell.exe"
}
]
}
ウイルス対策スキャンを実行する
Microsoft Defender for Endpoint を使用して、ホストでウイルス対策スキャンを開始します。Defender ATP スキャンには、フルとクイックの 2 種類があります。
パラメータ
| パラメータの表示名 | タイプ | デフォルト値 | 必須 | 説明 |
|---|---|---|---|---|
| ウイルス対策スキャンの種類 | DDL | フル 有効な値:
|
○ | マシンでフルまたはクイックのウイルス対策スキャンを開始するかどうかを指定します。 |
| コメント | 文字列 | なし | ○ | マシンでウイルス対策スキャンを実行する必要がある理由をコメントとして指定します。 |
ユースケース
Defender ATP コネクタからアラートが届きました。アラート処理中に、Google SecOps ケース エンティティに関連するマシンでマルウェア侵害のインジケーターが見つかりました。そのため、ユーザーはマシンでウイルス対策スキャンを実行して、ホスト上のマルウェアを検出することにしました。
実行
このアクションは次のエンティティに対して実行されます。
- ホスト
- IP アドレス
アクションの結果
スクリプトの結果
実行されたすべてのエンティティに対して API エンドポイントが ステータス 201 を返した場合、JSON レスポンスの「status」は「Pending」になります。これは、API リクエストが正常に実行されたことを示します。少なくとも 1 つのエンティティでアクションが失敗した場合、最終結果は失敗(False)になります。
| スクリプトの結果名 | 値のオプション | 例 |
|---|---|---|
| is_success | True/False | is_success:False |
JSON の結果
{
"@odata.context": "https://api.securitycenter.windows.com/api/$metadata#MachineActions/$entity",
"id": "example-id",
"type": "RunAntiVirusScan",
"requestor": "requestor_id",
"requestorComment": "Run antivirus scan on suspect",
"status": "Pending",
"machineId": "machine-id",
"creationDateTimeUtc": "2019-11-21T11:07:06.611628Z",
"lastUpdateDateTimeUtc": "2019-11-21T11:07:06.611628Z",
"cancellationRequestor": null,
"cancellationComment": null,
"cancellationDateTimeUtc": null,
"errorHResult": 0,
"scope": null,
"relatedFileInfo": null
}
特定のマシンでファイルを停止して隔離する
Microsoft Defender For Endpoint エージェントを使用して、特定のマシンでファイルの実行を停止し、隔離します。このアクションは、Host または IP の Google SecOps エンティティで機能します。
パラメータ
| パラメータの表示名 | タイプ | デフォルト値 | 必須 | 説明 |
|---|---|---|---|---|
| 隔離する SHA1 ファイル ハッシュ | 文字列 | なし | ○ | 停止して隔離するファイルの SHA-1 ファイル ハッシュを指定します。 注: アクションで一致するファイルを見つけるには、SHA-1 ハッシュが下位レジスタにある必要があります。 |
| コメント | 文字列 | なし | ○ | マシンでウイルス対策スキャンを実行する必要がある理由をコメントとして指定します。 |
| インサイトを作成しますか? | チェックボックス | オン | 有効にすると、アクションが正常に実行された場合、関連情報を含む Google SecOps インサイトが作成されます。 |
ユースケース
Defender ATP コネクタから送信されたアラートの処理中に、「ファイルの停止と隔離」アクションを使用して、特定ファイルの実行をブロックし、マシンの侵害を防ぐことができます。このアクションが必要になるのは、高度なハンティングの結果、ユーザーが潜在的に悪意のあるファイルを発見し、その時点で 1 台のマシンでブロックする必要がある場合などです。
実行
このアクションは次のエンティティに対して実行されます。
- ホスト
- IP アドレス
アクションの結果
スクリプトの結果
True または False を指定できます。実行されたすべてのエンティティに対して API エンドポイントがステータス 201 を返した場合、JSON レスポンスの「status」は「Pending」になります。これは、API リクエストが正常に実行されたことを示します。少なくとも 1 つのエンティティ アクションが失敗した場合、最終結果は失敗(False)になります。
| スクリプトの結果名 | 値のオプション | 例 |
|---|---|---|
| is_success | True/False | is_success:False |
JSON の結果
{
"@odata.context": "https://api.securitycenter.windows.com/api/$metadata#MachineActions/$entity",
"id": "example-id",
"type": "StopAndQuarantineFile",
"requestor": "requestor-id",
"requestorComment": "Stopping and quarantining putty",
"status": "Pending",
"machineId": "machine-id",
"creationDateTimeUtc": "2019-11-25T10:05:21.3641296Z",
"lastUpdateDateTimeUtc": "2019-11-25T10:05:21.3641296Z",
"cancellationRequestor": null,
"cancellationComment": null,
"cancellationDateTimeUtc": null,
"errorHResult": 0,
"scope": null,
"relatedFileInfo": {
"fileIdentifier": "d932604ab8e9debe475415851fd26929a0c0dcd1",
"fileIdentifierType": "Sha1"
}
}
分析情報
- タイプ: エンティティ。
- タイトル(文字列): entity。
- IdentifierMessage(文字列): 「SHA-1 ファイルハッシュ {0} のファイルが停止され、{1} で隔離されました」。format (filehash,entity.Identifier)。
エンティティ インジケーターを送信する
Microsoft Defender for Endpoint でエンティティをインジケーターとして送信します。
パラメータ
| パラメータの表示名 | タイプ | デフォルト値 | 必須 | 説明 |
|---|---|---|---|---|
| アクション | DDL | ブロック 有効な値:
|
○ | エンティティに適用する必要があるアクションを指定します。 注: 「Block And Remediate」値は、filehash エンティティでのみサポートされています。 |
| 重大度 | DDL | 高 有効な値:
|
○ | 検出されたエンティティの重大度を指定します。 |
| アプリケーション | 文字列 | なし | いいえ | エンティティに関連するアプリケーションを指定します。 |
| インジケーター アラートのタイトル | 文字列 | なし | ○ | 環境で特定されている場合は、アラートのタイトルを指定します。 |
| 説明 | 文字列 | Google SecOps の修復 | ○ | エンティティの説明を指定します。 |
| 推奨される対応 | 文字列 | なし | いいえ | エンティティの処理に推奨される対応を指定します。 |
実行
このアクションは次のエンティティに対して実行されます。
- IP アドレス
- URL
- Filehash
アクションの結果
スクリプトの結果
| スクリプトの結果名 | 値のオプション | 例 |
|---|---|---|
| is_success | True/False | is_success:False |
ケースウォール
| 結果のタイプ | 値 / 説明 | タイプ |
|---|---|---|
| 出力メッセージ * | アクションが失敗したり、ハンドブックの実行を停止したりすることはありません。 1 つのエンティティにデータが利用可能な場合(is_success = true): 「次のエンティティが Microsoft Defender for Endpoint にインジケーターとして正常に送信されました: {entity.identifier}」 1 つのエンティティにデータが利用できない場合(is_success=true): 「アクションは、次のエンティティを Microsoft Defender for Endpoint にインジケーターとして送信できませんでした: {entity.identifier}」 1 つのエンティティについて 403 ステータス コードが報告された場合: 「インスタンスに、次のエンティティを送信するための十分な権限がありません: {entity.identifier} すべてのエンティティでデータが利用できない場合(is_success=false): 「指定されたエンティティは、Microsoft Defender for Endpoint にインジケーターとして送信されませんでした。」 エンティティがすでにインジケーターである場合: 「次のエンティティは、Microsoft Defender for Endpoint のインジケーターです: {entity.identifier}」 アクションが失敗し、ハンドブックの実行が停止します。 間違った認証情報、サーバーへの接続なし、その他など、致命的なエラーが報告された場合:「アクション「エンティティ インジケーターの送信」の実行エラー。理由: {0}」.format(error.Stacktrace) すべてのエンティティに対して 403 ステータス コードが報告される場合: 「アクション「エンティティ インジケーターの送信」の実行エラー。理由: インスタンスの権限が原因でインジケーターが作成されませんでした。構成を確認してください。 |
全般 |
マシンの分離を解除する
Microsoft Defender for Endpoint を使用して以前に隔離されたマシンを隔離解除します。
パラメータ
| パラメータの表示名 | タイプ | デフォルト値 | 必須 | 説明 |
|---|---|---|---|---|
| コメント | 文字列 | なし | ○ | マシンの隔離を解除する必要がある理由をコメントで指定します。 |
| インサイトを作成しますか? | チェックボックス | オン | 有効にすると、アクションが正常に実行された場合、関連情報を含む Google SecOps の分析情報が作成されます。 |
ユースケース
このアクションは、マシンがすでに隔離されている状況で使用できますが、ハンドブックの処理中に収集された新しいデータ(たとえば、最初のマシンが隔離され、次に不審なファイルの脅威インジケーターを作成し、「停止して隔離」アクションを実行して、影響を受けるマシンからこのファイルを削除する)により、影響を受けるマシンを隔離から削除しても安全であると見なすことができます。
実行
このアクションは次のエンティティに対して実行されます。
- ホスト
- IP アドレス
アクションの結果
スクリプトの結果
実行されたすべてのエンティティに対して API エンドポイントが ステータス 201 を返した場合、JSON レスポンスの「status」は「Pending」になります。これは、API リクエストが正常に実行されたことを示します。少なくとも 1 つのエンティティでアクションが失敗した場合、最終結果は失敗(False)になります。
| スクリプトの結果名 | 値のオプション | 例 |
|---|---|---|
| is_success | True/False | is_success:False |
JSON の結果
{
"@odata.context": "https://api.securitycenter.windows.com/api/$metadata#MachineActions/$entity",
"id": "example-id",
"type": "Unisolate",
"requestor": "requestor-id",
"requestorComment": "Unisolate machine due to the following remediation measures taken...",
"status": "Pending",
"machineId": "machine-id",
"creationDateTimeUtc": "2019-11-21T03:59:34.7389352Z",
"lastUpdateDateTimeUtc": "2019-11-21T03:59:34.7389352Z",
"cancellationRequestor": null,
"cancellationComment": null,
"cancellationDateTimeUtc": null,
"errorHResult": 0,
"scope": null,
"relatedFileInfo": null
}
分析情報
- タイプ: エンティティ
- タイトル: entity。
- IdentifierMessage: Microsoft Defender for Endpoint の分離が削除されました。
アラートを更新
特定の Microsoft Defender for Endpoint アラートを更新します。このアクションは、Microsoft Defender for Endpoint でアラートをクローズするために使用できます。
パラメータ
| パラメータ | タイプ | デフォルト値 | 必須 | Description |
|---|---|---|---|---|
| アラート ID | 文字列 | なし | ○ | 更新する Microsoft Defender for Endpoint アラート ID を指定します。 |
| ステータス | DDL | 新規 有効な値:
|
いいえ | 更新するアラートのステータスを指定します。 |
| 割り当て先 | 文字列 | なし | いいえ | このフィールドを更新する場合は、ユーザー情報を指定します。 |
| 分類 | DDL | 不明 有効な値:
|
いいえ | アラートを更新する分類を指定します。 |
| 判定 | DDL | NotAvailable 有効な値:
|
いいえ | アラートを更新する判定を指定します。 |
ユースケース
このアクションを使用して、Defender ATP の警告を更新します。
このアクションを使用して、Defender ATP 警告分析を含むワークフローに介入します。
Google SecOps でアラートが処理されたら、Defender ATP アラートを無視して、Defender ATP と Google SecOps のアラートリストを一致させることができます。また、アラートを変更して、アラート分析の進行状況を表示することもできます(たとえば、
assignedTo属性を設定するか、アラート ステータスをinProgressに設定します)。
実行
このアクションはすべてのエンティティに対して実行されます。
アクションの結果
スクリプトの結果
| スクリプトの結果名 | 値のオプション | 例 |
|---|---|---|
| is_success | True/False | is_success:False |
JSON の結果
{
"@odata.context": "https://api.securitycenter.windows.com/api/$metadata#Alerts/$entity",
"id": "example-id",
"incidentId": 1,
"investigationId": null,
"assignedTo": null,
"severity": "Informational",
"status": "Resolved",
"classification": null,
"determination": null,
"investigationState": "UnsupportedAlertType",
"detectionSource": "WindowsDefenderAtp",
"category": "Execution",
"threatFamilyName": null,
"title": "[Test Alert] Suspicious Powershell commandline",
"description": "*** This is a test alert ***\nA suspicious Powershell commandline was found on the machine. This commandline might be used during installation, exploration, or in some cases with lateral movement activities which are used by attackers to invoke modules, download external payloads, and get more information about the system. Attackers usually use Powershell to bypass security protection mechanisms by executing their payload in memory without touching the disk and leaving any trace.",
"alertCreationTime": "2019-11-18T11:17:48.287421Z",
"firstEventTime": "2019-11-18T11:15:06.5226815Z",
"lastEventTime": "2019-11-18T11:15:06.5226815Z",
"lastUpdateTime": "2019-11-20T04:12:03.6066667Z",
"resolvedTime": "2019-11-20T04:12:03.4976288Z",
"machineId": "machine-id",
"alertUser": {
"accountName": "Administrator",
"domainName": "example-domain"
},
"comments": [],
"alertFiles": [
{
"sha1": "3ce71813199abae99348f61f0caa34e2574f831c",
"sha256": "9a7c58bd98d70631aa1473f7b57b426db367d72429a5455b433a05ee251f3236",
"filePath": "C:\\Windows\\System32\\cmd.exe",
"fileName": "cmd.exe"
},
{
"sha1": "1b3b40fbc889fd4c645cc12c85d0805ac36ba254",
"sha256": "d3f8fade829d2b7bd596c4504a6dae5c034e789b6a3defbe013bda7d14466677",
"filePath": "C:\\Windows\\System32\\WindowsPowerShell\\v1.0\\powershell.exe",
"fileName": "powershell.exe"
}
],
"alertDomains": [],
"alertIps": [],
"alertProcesses": []
}
タスクのステータスを待つ
タスクのステータスを待機します。
パラメータ
| パラメータの表示名 | タイプ | デフォルト値 | 必須 | 説明 |
|---|---|---|---|---|
| タスク ID | 文字列 | なし | ○ | タスク ID のリスト(カンマ区切りの文字列)。 |
実行
このアクションはすべてのエンティティに対して実行されます。
アクションの結果
スクリプトの結果
| スクリプトの結果名 | 値のオプション | 例 |
|---|---|---|
| is_success | True/False | is_success:False |
JSON の結果
[
{
"status": "Succeeded",
"creation_date_time_utc": "2020-02-08T03:24:52.8526634Z",
"cancellation_requestor": null,
"cancellation_date_time_utc": null,
"id": "2e39d22e-60a7-4267-899c-a1471e800000",
"last_update_date_time_utc": "2020-02-08T03:25:35.8345081Z",
"related_file_info": null,
"cancellation_comment": null,
"requestor": "e4fc6454-754d-47f7-bbdb-045fad600000",
"error_h_result": 0,
"scope": "Selective",
"machine_id": "fbc85cf3fbcc8bb14d1a84fcf7bbae4531f00000",
"type": "Isolate",
"requestor_comment": "test"
}
]
コネクタ
Google SecOps でコネクタを構成する方法の詳細については、コネクタの構成をご覧ください。
選択したコネクタを構成するには、次の表に示すコネクタ固有のパラメータを使用します。
Microsoft Defender ATP コネクタ
イベント用の Microsoft Defender ATP コネクタで使用されている Defender ATP SIEM API は、2022 年 3 月 1 日をもって非推奨となりました。
コネクタは、Defender ATP API エンドポイントに定期的に接続し、特定の期間に生成されたアラートのリストを pull します。処理されたアラートについて、コネクタは別のリクエストで Defender ATP から検出に関する情報を pull します。検出には、検出を特定のアラートに関連付けるために使用できる AlertId フィールドがあります。
コネクタ パラメータ
次のパラメータを使用してコネクタを構成します。
| パラメータの表示名 | 種類 | デフォルト値 | 必須 | 説明 |
|---|---|---|---|---|
| プロダクト フィールド名 | 文字列 | ProductName | ○ | 商品名が保存されるフィールドの名前を記述します。 |
| イベント フィールド名 | 文字列 | AlertName | ○ | イベント名が保存されるフィールドの名前を記述します。 |
| 環境フィールド名 | 文字列 | "" | いいえ | 環境名が保存されるフィールドの名前を記述します。 環境フィールドが見つからない場合、環境は " " です。 |
| 環境の正規表現パターン | 文字列 | .* | いいえ |
デフォルトは、すべてキャッチして値を変更せずに返す .* です。 ユーザーが正規表現ロジックで環境フィールドを操作できるようにするために使用されます。 正規表現パターンが null か空の場合、または環境値が null の場合、最終的な環境の結果は "" になります。 |
| API ルート | 文字列 | https://api.securitycenter.windows.com | ○ | 統合で使用する API ルート URL。 パフォーマンスを向上させるには、お住まいの地域に最も近いサーバーを使用します。
|
| Azure Active Directory ID | 文字列 | なし | ○ | Microsoft Entra テナント ID は、[Active Directory] > [アプリの登録] > [アプリケーション] > [ディレクトリ(テナント)ID] で確認できます。 |
| 統合クライアント ID | 文字列 | なし | ○ | 統合のために Microsoft Entra でアプリ登録用に追加されたクライアント(アプリケーション)ID。 |
| 統合クライアント シークレット | パスワード | なし | ○ | 統合のために Azure AD アプリの登録に入力されたシークレット。 |
| SIEM クライアント ID | 文字列 | なし | ○ | Microsoft Defender for Endpoint で有効になっている SIEM 統合のクライアント(アプリケーション)ID。 |
| SIEM クライアント シークレット | パスワード | なし | ○ | Microsoft Defender for Endpoint で有効になっている SIEM 統合のシークレット。 |
| オフセット時間(時間) | Integer | 24 | ○ | X 時間前から遡ってアラートを取得します。 |
| 1 サイクルあたりの最大アラート数 | Integer | 100 | ○ | 1 回のコネクタ実行中に処理されるアラートの数。 |
| 取得するアラートのステータス | 文字列 | Unknown、New、InProgress、Resolved | ○ | Google SecOps サーバーが取得する Defender ATP アラートのステータスを指定します。 パラメータは、カンマ区切りの文字列として複数の値を受け取ることができます。 |
| 取得するアラートの重大度 | 文字列 | 未指定、情報、低、中、高 | ○ | Google SecOps サーバーが取得する Defender ATP アラートの重大度を指定します。 パラメータは、カンマ区切りの文字列として複数の値を受け取ることができます。 |
| プロキシ サーバーのアドレス | IP_OR_HOST | なし | いいえ | 接続に使用するプロキシ サーバー。 |
| プロキシ サーバーのユーザー名 | 文字列 | なし | いいえ | プロキシ サーバーのユーザー名。 |
| プロキシ サーバーのパスワード | パスワード | なし | いいえ | プロキシ サーバーのパスワード。 |
コネクタルール
コネクタは、拒否リストルールまたは動的リストルールをサポートしていません。
コネクタでプロキシがサポートされます。
Microsoft Defender ATP Connector V2
365 Defender インシデント API を使用して Defender ATP アラートを取得し、イベントデータを取得します。コネクタの動的リストを使用して、アラートの detectionSource 属性値に基づいて特定の種類のアラートのみを取り込みます。
コネクタの SourceGroupIdentifier 属性を使用すると、Defender ATP インシデント ID に基づいてアラートをグループ化できます。
前提条件
コネクタを構成する前に、Microsoft Entra アプリケーションに追加の権限を付与してください。
ユーザー管理者またはパスワード管理者として Azure ポータルにログインします。
[Microsoft Entra ID] を選択します。
[API 権限] > [権限を追加] > [組織で使用している API] に移動します。
[Microsoft Threat Protection] > [Application permissions] を選択します。
[権限を選択] セクションで、次の必要な権限を選択します。
Incident.Read.AllIncident.ReadWrite.All
[権限を追加] をクリックします。
[
YOUR_ORGANIZATION_NAMEに管理者の同意を付与] をクリックします。
コネクタ パラメータ
次のパラメータを使用してコネクタを構成します。
| パラメータの表示名 | 種類 | デフォルト値 | 必須 | 説明 |
|---|---|---|---|---|
| プロダクト フィールド名 | 文字列 | :: | ○ | 商品名が保存されるフィールドの名前を記述します。 |
| イベント フィールド名 | 文字列 | EventName | ○ | イベント名が保存されるフィールドの名前を記述します。 |
| 環境フィールド名 | 文字列 | "" | いいえ | 環境名が保存されるフィールドの名前を記述します。 環境フィールドが見つからない場合、環境は " " です。 |
| 環境の正規表現パターン | 文字列 | .* | いいえ |
デフォルトは、すべてキャッチして値を変更せずに返す .* です。 ユーザーが正規表現ロジックで環境フィールドを操作できるようにするために使用されます。 正規表現パターンが null か空の場合、または環境値が null の場合、最終的な環境の結果は "" になります。 |
| Defender ATP API ルート | 文字列 | https://api.securitycenter.windows.com | ○ | 統合で使用する API ルート URL パフォーマンスを向上させるには、お住まいの地域に最も近いサーバーを使用します。
|
| 365 Defender API ルート | 文字列 | https://api.security.microsoft.com | ○ | Google SecOps イベントデータの取得に使用される Microsoft 365 Defender インスタンスの API ルート。 |
| Azure Active Directory ID | 文字列 | なし | ○ | Microsoft Entra テナント ID。Microsoft Entra > [アプリの登録] > [アプリケーション] > [ディレクトリ(テナント)ID] で確認できます。 |
| 統合クライアント ID | 文字列 | なし | ○ | 統合のために Microsoft Entra でアプリ登録用に追加されたクライアント(アプリケーション)ID。 |
| 統合クライアント シークレット | パスワード | なし | ○ | 統合のために Azure AD アプリの登録に入力されたシークレット。 |
| SSL を確認する | チェックボックス | オン | ○ | 有効にすると、Microsoft 365 Defender サーバーへの接続用の SSL 証明書が有効であることを確認します。 |
| オフセット時間(時間) | Integer | 24 | ○ | X 時間前から遡ってアラートを取得します。 |
| 1 サイクルあたりの最大アラート数 | Integer | 10 | ○ | 1 回のコネクタ実行中に処理されるアラートの数。 |
| 取得するアラートのステータス | 文字列 | Unknown、New、InProgress、Resolved | ○ | Google SecOps サーバーが取得する Defender ATP アラートのステータスを指定します。 パラメータは、カンマ区切りの文字列として複数の値を受け取ることができます。 |
| 取得するアラートの重大度 | 文字列 | 未指定、情報、低、中、高 | ○ | Google SecOps サーバーが取得する Defender ATP アラートの重大度を指定します。 パラメータは、カンマ区切りの文字列として複数の値を受け取ることができます。 |
| オーバーフローを無効化 | チェックボックス | オフ | いいえ | 有効にすると、コネクタはオーバーフロー メカニズムを無視します。 |
| スクリプトのタイムアウト | Integer | 300 | ○ | コネクタの実行タイムアウトを指定します。 |
| 許可リストを拒否リストとして使用 | チェックボックス | オフ | いいえ | 有効にすると、動的リストがブロックリストとして使用されます。 |
| プロキシ サーバーのアドレス | IP_OR_HOST | なし | いいえ | 接続に使用するプロキシ サーバー。 |
| プロキシ サーバーのユーザー名 | 文字列 | なし | いいえ | プロキシ サーバーのユーザー名。 |
| プロキシ サーバーのパスワード | パスワード | なし | いいえ | プロキシ サーバーのパスワード。 |
コネクタルール
コネクタは、detectionSource Defender ATP アラート フィールド値に基づく動的リスト ロジックをサポートしています。
さらにサポートが必要な場合 コミュニティ メンバーや Google SecOps のプロフェッショナルから回答を得ることができます。